<template>
	<view>
		<view class="head">
			<view class="">
				<image class="userFlagimg" src="../../static/img/userFlag.png" mode=""></image>
			</view>
			<view class="pname">
				<font class="wenzi" style="color: #BDD6F3;font-size:28upx"> {{$t('mainStatistics.name')}}: {{pnameData}}</font>
			</view>
			<view class="company">
				<font style="color: #BDD6F3;font-size:28upx">{{$t('mainStatistics.company')}}</font>
			</view>
		</view>
		<view class="ri">
			<view class="riShell">
				<view class="riImg">
					<image style="width: 64upx;height: 64upx;padding-top: 20upx;" :src="$t('mainStatistics.dayImg')"></image>
				</view>
				<view class="riTitle">
					<view style="text-align:left;font-size:28upx;font-family:PingFang-SC-Medium">
						<font class="fontLeft" style="color: #596D83;">{{$t('mainStatistics.dayTotalMoney')}}:</font>
						<font style="color: #ED341F;">{{dayTotalMoney}}</font>
					</view>
					<view style="text-align:left;font-size:28upx;font-family:PingFang-SC-Medium">
						<font class="fontLeft" style="color: #596D83;">{{$t('mainStatistics.dayTotalNum')}}:</font>
						<font style="color: #ED341F;">{{dayTotalNum}}</font>
					</view>
				</view>
			</view>
			<view class="riqi">
				<view style="text-align:right" class="tody">
					<font style="color: #596D83;">{{today}}</font>
				</view>
				<view style="text-align:right" class="xingqi">
					<font style="color: #596D83;">{{week}}</font>
				</view>
			</view>
		</view>
		<view class="fourTitle">
			<view class="four">
				<view class="fourImg">
					<image style="width: 54upx;height: 54upx;padding-top: 20upx;" :src="$t('mainStatistics.weekImg')" mode=""></image>
				</view>
				<view class="fourShell">
					<view class="one">
						<font class="fontLeft" style="color: #596D83;">{{$t('mainStatistics.weekTotalMoney')}}:</font>
						<font style="color: #ED341F;">{{weekTotalMoney}}</font>
					</view>
					<view class="two">
						<font class="fontLeft" style="color: #596D83;">{{$t('mainStatistics.weekTotalNum')}}:</font>
						<font style="color: #ED341F;">{{weekTotalNum}}</font>
					</view>
				</view>
			</view>

			<view class="four">
				<view class="fourImg">
					<image style="width: 54upx;height: 54upx;padding-top: 20upx;" :src="$t('mainStatistics.monthImg')" mode=""></image>
				</view>
				<view class="fourShell">
					<view class="one">
						<font class="fontLeft" style="color: #596D83;">{{$t('mainStatistics.monthTotalMoney')}}:</font>
						<font style="color: #ED341F;">{{monthTotalMoney}}</font>
					</view>
					<view class="two">
						<font class="fontLeft" style="color: #596D83;">{{$t('mainStatistics.monthTotalNum')}}:</font>
						<font style="color: #ED341F;">{{monthTotalNum}}</font>
					</view>
				</view>
			</view>

			<view class="four">
				<view class="fourImg">
					<image style="width: 54upx;height: 54upx;padding-top: 20upx;" :src="$t('mainStatistics.yearImg')" mode=""></image>
				</view>
				<view class="fourShell">
					<view class="one">
						<font class="fontLeft" style="color: #596D83;">{{$t('mainStatistics.yearTotalMoney')}}:</font>
						<font style="color: #ED341F;">{{yearTotalMoney}}</font>
					</view>
					<view class="two">
						<font class="fontLeft" style="color: #596D83;">{{$t('mainStatistics.yearTotalNum')}}:</font>
						<font style="color: #ED341F;">{{yearTotalNum}}</font>
					</view>
				</view>
			</view>

			<view class="four">
				<view class="fourImg">
					<image style="width: 54upx;height: 54upx;padding-top: 20upx;" :src="$t('mainStatistics.allImg')" mode=""></image>
				</view>
				<view class="fourShell">
					<view class="one">
						<font class="fontLeft" style="color: #596D83;">{{$t('mainStatistics.machineTotalNum')}}:</font>
						<font style="color: #ED341F;">{{machineTotalNum}}</font>
					</view>
					<view class="two">
						<font class="fontLeft" style="color: #596D83;">{{$t('mainStatistics.machineUseNum')}}:</font>
						<font style="color: #ED341F;">{{machineUseNum}}</font>
					</view>
				</view>
			</view>
		</view>
		<view class="qiun-columns">
			<view class="qiun-bg-white qiun-title-bar qiun-common-mt">
				<view class="qiun-title-dot-light">
					<view class="dis">{{$t('mainStatistics.day')}}</view>
				</view>
				<view class="shijian" style="text-align: center;position: relative;">
					<image @click="pre('day')" class="preImg" src="/static/img/leftTriangle.png"></image>
					<span>{{startDate1}}</span>
					<image @click="next('day')" class="nextImg" src="/static/img/rightTriangle.png"></image>
				</view>
			</view>
			<view class="qiun-charts" style="background-color: #FFFFFF;">
				<canvas canvas-id="canvaColumn1" id="canvaColumn1" class="charts" disable-scroll=true @touchstart="touchLine1"
				 @touchmove="moveLine1" @touchend="touchEndLine1" style="background-color: #FFFFFF;"></canvas>
			</view>
		</view>
		<view class="line"></view>
		<view class="qiun-columns">
			<view class="qiun-bg-white qiun-title-bar qiun-common-mt">
				<view class="qiun-title-dot-light">
					<view class="dis">{{$t('mainStatistics.week')}}</view>
				</view>
				<view class="shijian" style="text-align: center;position: relative;">
					<image @click="pre('week')" class="preImg" src="/static/img/leftTriangle.png"></image>
					<span>{{startDate2}} -- {{endDate2}}</span>
					<image @click="next('week')" class="nextImg" src="/static/img/rightTriangle.png"></image>
				</view>
			</view>
			<view class="qiun-charts" style="background-color: #FFFFFF;">
				<canvas canvas-id="canvaColumn2" id="canvaColumn2" class="charts" disable-scroll=true @touchstart="touchLine2"
				 @touchmove="moveLine2" @touchend="touchEndLine2" style="background-color: #FFFFFF;"></canvas>
			</view>
		</view>
		<view class="line"></view>
		<view class="qiun-columns">
			<view class="qiun-bg-white qiun-title-bar qiun-common-mt">
				<view class="qiun-title-dot-light">
					<view class="dis">{{$t('mainStatistics.month')}}</view>
				</view>
				<view class="shijian" style="text-align: center;position: relative;">
					<image @click="pre('month')" class="preImg" src="/static/img/leftTriangle.png"></image>
					<span>{{startDate3}} -- {{endDate3}}</span>
					<image @click="next('month')" class="nextImg" src="/static/img/rightTriangle.png"></image>
				</view>
			</view>
			<view class="qiun-charts" style="background-color: #FFFFFF;">
				<canvas canvas-id="canvaColumn3" id="canvaColumn3" class="charts" disable-scroll=true @touchstart="touchLine3"
				 @touchmove="moveLine3" @touchend="touchEndLine3" style="background-color: #FFFFFF;"></canvas>
			</view>
		</view>
		<view class="line"></view>
		<view class="qiun-columns">
			<view class="qiun-bg-white qiun-title-bar qiun-common-mt">
				<view class="qiun-title-dot-light">
					<view class="dis">{{$t('mainStatistics.year')}}</view>
				</view>
				<view class="shijian" style="text-align: center;position: relative;">
					<image @click="pre('year')" class="preImg" src="/static/img/leftTriangle.png"></image>
					<span>{{startDate4}} -- {{endDate4}}</span>
					<image @click="next('year')" class="nextImg" src="/static/img/rightTriangle.png"></image>
				</view>
			</view>
			<view class="qiun-charts" style="background-color: #FFFFFF;">
				<canvas canvas-id="canvaColumn4" id="canvaColumn4" class="charts" disable-scroll=true @touchstart="touchLine4"
				 @touchmove="moveLine4" @touchend="touchEndLine4" style="background-color: #FFFFFF;"></canvas>
			</view>
		</view>
	</view>
</template>

<script>
	import {
		mapState,
		mapActions,
		mapMutations
	} from 'vuex';
	import uCharts from '@/components/u-charts/u-charts.js';
	import {
		dateUtils
	} from '@/common/util.js';

	var _self;
	var canvaColumn1 = null;
	var canvaColumn2 = null;
	var canvaColumn3 = null;
	var canvaColumn4 = null;
	export default {
		name: 'mainStatistics',
		props: {
			equipmentId: '',
			adminId: '',
			pname: '',
		},
		data() {
			return {
				machineTotalNum: 0,
				machineUseNum: 0,
				dayTotalMoney: 0,
				dayTotalNum: 0,
				weekTotalMoney: 0,
				weekTotalNum: 0,
				monthTotalMoney: 0,
				monthTotalNum: 0,
				yearTotalMoney: 0,
				yearTotalNum: 0,
				cWidth: '',
				cHeight: '',
				pixelRatio: 1,
				startDate1: '',
				startDate2: '',
				endDate2: '',
				startDate3: '',
				endDate3: '',
				startDate4: '',
				endDate4: '',
				today: '',
				week: ''
			}
		},
		computed: {
			...mapState(['loginUser']),
			pnameData: {
				get() {
					return this.pname;
				}
			},
		},
		onShow() {
			uni.setNavigationBarTitle({
				title: this.$t('mainStatistics.title')
			});
			uni.setTabBarItem({
				index: 0,
				text: this.$t('tabs.tab1')
			});
			var token = uni.getStorageSync("token");
			if (token.toString().length > 1) {
				this.init();
			} else {
				uni.reLaunch({
					url: '../Login/Login',
				});
			}
			// console.log("onShow");
			var test = uni.getStorageSync('test');
			var globalUser = uni.getStorageSync("globalUser");
			if (globalUser.toString().length > 1) {
				//判断是不是初次登陆
				if (test == 2) {
					this.init();
				}
			}
			var id = this.adminId;

			this.day();
			// this.equipmentStatus();
		},
		mounted() {
			var token = uni.getStorageSync("token");
			if (token.toString().length > 1) {
				this.init();
			} else {
				uni.reLaunch({
					url: '../Login/Login',
				});
			}
			// this.day();
			this.equipmentStatus();
		},
		methods: {
			...mapActions('chart', ['getStatistics', 'getMainStatistics', 'getMachineNum']),
			async init() {
				if (!this.pname) {
					this.pname = this.loginUser.name;
				}
				_self = this;
				//图表中图
				this.cWidth = uni.upx2px(690);
				this.cHeight = uni.upx2px(370);

				await this.getMainStatisticsData();

				await this.initDateRang(new Date(), 'day');
				await this.initDateRang(new Date(), 'week');
				await this.initDateRang(new Date(), 'month');
				await this.initDateRang(new Date(), 'year');

				//初次登陆跳转后，把test变成2
				uni.setStorageSync('test', '2');

			},
			day() {
				var date = new Date();
				// var daystr = dateUtils.formateDate(date, 'yyyy年MM月dd日');
				var daystr = dateUtils.formateDate(date, 'yyyy-MM-dd');
				this.today = daystr;
				// var str= '星期'+'日一二三四五六'.charAt(date.getDay());
				this.week = this.$t('mainStatistics.week' + date.getDay());

			},
			equipmentStatus() {
				var that = this;
				var id = uni.getStorageSync("globalUser").id;
				var token = uni.getStorageSync("token");
				uni.request({
					url: this.serverurl + '/TEquipment/equipmentStatus',
					data: {
						"adminId": id
					},
					header: {
						'token': token
					},
					method: "POST",
					success: (res) => {
						setTimeout(function() {
							that.checkEquipmentStatus(id);
						}, 5000);
					},
				});
			},
			checkEquipmentStatus(id){
				var token = uni.getStorageSync("token");
				uni.request({
					url: this.serverurl + '/TEquipment/checkEquipmentStatus',
					data: {
						"adminId": id
					},
					header: {
						'token': token
					},
					method: "POST",
					success: (res) => {
						
					},
				});
			},
			initDateRang(day, chartType) {
				const daystr = dateUtils.formateDate(day, 'yyyy/MM/dd');
				if (chartType === 'day') {
					this.startDate1 = dateUtils.formateDate(day, 'yyyy/MM/dd');
				}
				if (chartType === 'week') {
					this.startDate2 = dateUtils.formateDate(dateUtils.getFirstDayOfWeek(day), 'yyyy/MM/dd');
					this.endDate2 = dateUtils.formateDate(dateUtils.getLastDayOfWeek(day), 'yyyy/MM/dd');
				}
				if (chartType === 'month') {
					this.startDate3 = dateUtils.formateDate(dateUtils.getCurrentMonFirstDate(day), 'yyyy/MM/dd');
					this.endDate3 = dateUtils.formateDate(dateUtils.getCurrentMonLastDate(day), 'yyyy/MM/dd');
				}
				if (chartType === 'year') {
					this.startDate4 = dateUtils.formateDate(dateUtils.getCurrentYearFirstDate(day), 'yyyy/MM/dd');
					this.endDate4 = dateUtils.formateDate(dateUtils.getCurrentYearLastDate(day), 'yyyy/MM/dd');
				}

				return this.getStatisticsData(chartType);
			},
			/**上一个 */
			pre(chartType) {
				let day;
				if (chartType === 'day') { // 日
					day = new Date(this.startDate1);
					day.setDate(day.getDate() - 1);
				}
				if (chartType === 'week') { // 周
					day = new Date(this.startDate2);
					day.setDate(day.getDate() - 7);
				}
				if (chartType === 'month') { // 月
					day = new Date(this.startDate3);
					day.setMonth(day.getMonth() - 1);
				}
				if (chartType === 'year') { // 年
					day = new Date(this.startDate4);
					day.setFullYear(day.getFullYear() - 1);
				}
				this.initDateRang(day, chartType);
			},
			/**下一个 */
			next(chartType) {
				let day;
				if (chartType === 'day') { // 日
					day = new Date(this.startDate1);
					day.setDate(day.getDate() + 1);
				}
				if (chartType === 'week') { // 周
					day = new Date(this.startDate2);
					day.setDate(day.getDate() + 7);
				}
				if (chartType === 'month') { // 月
					day = new Date(this.startDate3);
					day.setMonth(day.getMonth() + 1);
				}
				if (chartType === 'year') { // 年
					day = new Date(this.startDate4);
					day.setFullYear(day.getFullYear() + 1);
				}

				this.initDateRang(day, chartType);
			},
			getStatisticsData(chartType) {
				const param = {
					'chartType': chartType
				};
				if (chartType == 'day') {
					param['startDate'] = this.startDate1;
					param['endDate'] = this.startDate1;
				}
				if (chartType == 'week') {
					param['startDate'] = this.startDate2;
					param['endDate'] = this.endDate2;
				}
				if (chartType == 'month') {
					param['startDate'] = this.startDate3;
					param['endDate'] = this.endDate3;
				}
				if (chartType == 'year') {
					param['startDate'] = this.startDate4;
					param['endDate'] = this.endDate4;
				}
				if (this.adminId) { // 子组件，则拿传过来的参
					param['adminId'] = this.adminId;
				} else if ('admin' !== this.loginUser['username']) { //否则为主页，拿登录用户
					param['adminId'] = this.loginUser['id'];
				}
				var globalUser = uni.getStorageSync("globalUser");
				if (globalUser.id != 1) {
					if (param.adminId == null || param.adminId == undefined) {
						param['adminId'] = globalUser.id;
					}
				}

				if (this.equipmentId) {
					param['equipmentId'] = this.equipmentId;
				}
				return this.getStatistics(param)
					.then(data => {
						uni.stopPullDownRefresh();
						if (param['chartType'] == 'day') {
							canvaColumn1 = this.initChart('canvaColumn1', data);
						}
						if (param['chartType'] == 'week') {
							canvaColumn2 = this.initChart('canvaColumn2', data);
						}
						if (param['chartType'] == 'month') {
							canvaColumn3 = this.initChart('canvaColumn3', data);
						}
						if (param['chartType'] == 'year') {
							canvaColumn4 = this.initChart('canvaColumn4', data);
						}

					}, _ => {
						uni.stopPullDownRefresh();
						if (param['chartType'] == 'day') {
							canvaColumn1 = this.initChart('canvaColumn1', {
								categories: ['暂无数据'],
								series: [{
									name: '销售个数',
									data: [0]
								}]
							});
						}
						if (param['chartType'] == 'week') {
							canvaColumn2 = this.initChart('canvaColumn2', {
								categories: ['暂无数据'],
								series: [{
									name: '销售个数',
									data: [0]
								}]
							});
						}
						if (param['chartType'] == 'month') {
							canvaColumn3 = this.initChart('canvaColumn3', {
								categories: ['暂无数据'],
								series: [{
									name: '销售个数',
									data: [0]
								}]
							});
						}
						if (param['chartType'] == 'year') {
							canvaColumn4 = this.initChart('canvaColumn4', {
								categories: ['暂无数据'],
								series: [{
									name: '销售个数',
									data: [0]
								}]
							});
						}
					});
			},
			initChart(canvasId, chartData) {
				if (this.$t('lang') != 'zh') {
					chartData.categories = chartData.categories.map(e => {
						if (e.indexOf('点') >= 0) {
							return e.replace('点', this.$t('mainStatistics.oclock'));
						}
						if (e.indexOf('周') >= 0) {
							const weekNum = e.substring(e.length - 1) == '日' ? '0' : e.substring(e.length - 1);
							return this.$t('mainStatistics.week' + weekNum);
						}
						if (e.indexOf('月') >= 0) {
							var res = e.toString();
							if (res.length > 3) {
								return e.replace('月', this.$t('mainStatistics.mon'));
							} else {
								return e.replace('月', this.$t('mainStatistics.y'));
							}
						}
						return e;
					});

					chartData.series = chartData.series.map(e => {
						if (e['name'] == '销售个数') {
							e['name'] = this.$t('mainStatistics.saleNum');
						}
						if (e['name'] == '销售额') {
							e['name'] = this.$t('mainStatistics.saleroom');
						}
						return e;
					});
				}
				return new uCharts({
					$this: _self,
					canvasId: canvasId,
					enableScroll: true,
					type: 'column',
					legend: true,
					fontSize: 10,
					background: '#FFFFFF', //y轴颜色
					pixelRatio: 1,
					animation: true,
					categories: chartData.categories,
					series: chartData.series,
					xAxis: {
						type: 'grid',
						gridType: 'dash',
						itemCount: 5, //x轴单屏显示数据的数量，默认为5个
						scrollShow: true, //新增是否显示滚动条，默认false
						scrollAlign: 'left', //滚动条初始位置
						scrollBackgroundColor: '#F7F7FF', //默认为 #EFEBEF  滚动条颜色底色
						scrollColor: '#DEE7F7', //默认为 #A6A6A6  滚动条颜色
						disableGrid: true,

					},
					yAxis: {

						type: 'grid',
						gridType: 'soild',
						// disabled:true
						// disableGrid:true,
					},
					dataLabel: true,
					width: _self.cWidth * _self.pixelRatio,
					height: _self.cHeight * _self.pixelRatio,
					extra: {
						column: {
							// width: _self.cWidth*_self.pixelRatio*0.45/chartData.categories.length
							width: 18
						}
					}
				});
			},
			getMainStatisticsData() {
				const param = {};
				if (this.adminId) { // 子组件，则拿传过来的参
					param['adminId'] = this.adminId;
				} else if ('admin' !== this.loginUser['username']) { //否则为主页，拿登录用户
					param['adminId'] = this.loginUser['id'];
				}
				var globalUser = uni.getStorageSync("globalUser");
				if (globalUser.id != 1) {
					if (param.adminId == null || param.adminId == undefined) {
						param['adminId'] = globalUser.id;
					}
				}
				if (this.equipmentId) {
					param['equipmentId'] = this.equipmentId;
				}
				// console.log('getMainStatisticsData:{}', param);
				var adminId = param.adminId;
				var equipmentId = this.equipmentId;
				var serverurl = this.serverurl;
				var token = uni.getStorageSync("token");
				uni.request({
					url: serverurl + '/TEquipment/getMachineNum',
					data: {
						"adminId": adminId,
						"equipmentId": equipmentId
					},
					method: "POST",
					header: {
						'token': token
					},
					success: (res) => {
						var list = res.data.data;
						this.machineTotalNum = list[0];
						this.machineUseNum = list[1];
					}
				});
				return this.getMainStatistics(param)
					.then(data => {
						for (let bean of data) {
							if (bean['categorie'] === 'day') {
								this.dayTotalMoney = bean['salePrice'];
								this.dayTotalNum = bean['saleNum'];
							}
							if (bean['categorie'] === 'week') {
								this.weekTotalMoney = bean['salePrice'];
								this.weekTotalNum = bean['saleNum'];
							}
							if (bean['categorie'] === 'month') {
								this.monthTotalMoney = bean['salePrice'];
								this.monthTotalNum = bean['saleNum'];
							}
							if (bean['categorie'] === 'year') {
								this.yearTotalMoney = bean['salePrice'];
								this.yearTotalNum = bean['saleNum'];
							}
						}
						uni.stopPullDownRefresh();
					}, _ => void uni.stopPullDownRefresh());
			},

			touchLine1(e) {
				if (canvaColumn1) {
					canvaColumn1.scrollStart(e);
				}
			},
			moveLine1(e) {
				if (canvaColumn1) {
					canvaColumn1.scroll(e);
				}
			},
			touchEndLine1(e) {
				if (canvaColumn1) {
					canvaColumn1.scrollEnd(e);
					//下面是toolTip事件，如果滚动后不需要显示，可不填写
					canvaColumn1.showToolTip(e, {
						format: function(item, category) {
							return category + ' ' + item.name + ':' + item.data
						}
					});
				}
			},
			touchLine2(e) {
				if (canvaColumn2) {
					canvaColumn2.scrollStart(e);
				}
			},
			moveLine2(e) {
				if (canvaColumn2) {
					canvaColumn2.scroll(e);
				}
			},
			touchEndLine2(e) {
				if (canvaColumn2) {
					canvaColumn2.scrollEnd(e);
					//下面是toolTip事件，如果滚动后不需要显示，可不填写
					canvaColumn2.showToolTip(e, {
						format: function(item, category) {
							return category + ' ' + item.name + ':' + item.data
						}
					});
				}
			},
			touchLine3(e) {
				if (canvaColumn3) {
					canvaColumn3.scrollStart(e);
				}
			},
			moveLine3(e) {
				if (canvaColumn3) {
					canvaColumn3.scroll(e);
				}
			},
			touchEndLine3(e) {
				if (canvaColumn3) {
					canvaColumn3.scrollEnd(e);
					//下面是toolTip事件，如果滚动后不需要显示，可不填写
					canvaColumn3.showToolTip(e, {
						format: function(item, category) {
							return category + ' ' + item.name + ':' + item.data
						}
					});
				}
			},
			touchLine4(e) {
				if (canvaColumn4) {
					canvaColumn4.scrollStart(e);
				}
			},
			moveLine4(e) {
				if (canvaColumn4) {
					canvaColumn4.scroll(e);
				}
			},
			touchEndLine4(e) {
				if (canvaColumn4) {
					canvaColumn4.scrollEnd(e);
					//下面是toolTip事件，如果滚动后不需要显示，可不填写
					canvaColumn4.showToolTip(e, {
						format: function(item, category) {
							return category + ' ' + item.name + ':' + item.data
						}
					});
				}
			},
		}
	}
</script>
<style>
	page {
		/* background: #F2F2F2; */
		background: #FFFFFF;
		width: 750upx;
		overflow-x: hidden;
	}

	.head {
		display: flex;
		flex-direction: row;
		background: #206DC3;
		width: 750upx;
		height: 180upx;
	}

	.company {
		width: 48%;
		text-align: right;
	}

	.pname {
		display: flex;
		flex-direction: row;
		width: 40%;
	}

	.userFlagimg {
		padding-left: 30upx;
		padding-top: 10upx;
		width: 26upx;
		height: 28upx;
	}

	.wenzi {
		padding-left: 5upx;
		/* text-align:right; */
		white-space: nowrap;
		overflow: hidden;
		/* text-overflow: ellipsis; */
	}

	.ri {
		width: 690upx;
		height: 180upx;
		background: #FFFFFF;
		border-radius: 15upx;
		/* 上移 */
		transform: translateY(-90upx);
		text-align: center;
		margin: auto;
		display: flex;
		flex-direction: row;
		/* 阴影 */
		box-shadow: 0upx -1upx 20upx #D3D3D3;
		/* box-shadow:0px 0px  10px 5px #aaa; */
	}

	.riShell {
		display: flex;
		flex-direction: row;
		margin: auto;
	}

	.riTitle {
		display: flex;
		flex-direction: column;
		margin: auto;
	}

	.riqi {
		display: flex;
		flex-direction: column;
		margin: auto;
	}

	.fourTitle {
		width: 690upx;
		height: 294upx;
		display: flex;
		flex-direction: row;
		flex-wrap: wrap;
		background: #FFFFFF;
		box-shadow: 0upx 0upx 20upx #D3D3D3;
		margin: auto;
		border-radius: 15upx;
		transform: translateY(-60upx);
	}

	.four {
		display: flex;
		flex-direction: row;
		margin: auto;
		width: 48%;
	}

	.fourImg {
		width: 54upx;
		height: 54upx;
	}

	.qiun-padding {
		padding: 2%;
		width: 96%;
	}

	.qiun-wrap {
		display: flex;
		flex-wrap: wrap;
	}

	.qiun-rows {
		display: flex;
		flex-direction: row !important;
	}

	.qiun-columns {
		display: flex;
		flex-direction: column !important;
	}

	.qiun-common-mt {
		margin-top: 0upx;
		height: 160upx;
	}

	.qiun-bg-white {
		background: #FFFFFF;
	}

	.qiun-title-bar {
		width: 100%;
		/* padding: 10upx 2%; */
		flex-wrap: nowrap;
		border-radius: 15upx;
	}

	.qiun-title-dot-light {
		width: 92%;
		border-left: 20upx;
		border-left: 10upx solid #206DC3;
		padding-left: 10upx;
		height: 32upx;
		/* padding-bottom: 40upx; */
		font-family: "PingFang-SC-Bold";
		font-weight: bold;
		margin: auto;
		font-size: 32upx;
		color: #363D44;
		transform: translateY(20upx);
	}

	.dis {
		transform: translateY(-13upx);
		font-size: 32upx;
		font-family: "PingFang-SC-Bold";
		color: #363D44;
	}

	.shijian {
		transform: translateY(40upx);
		padding-top: 30upx;
		height: 80upx;
		width: 690upx;
		margin: auto;
		box-shadow: 0upx 0upx 10upx #D3D3D3;
	}

	.line {
		background: #ECECEC;
		height: 20upx;
	}

	.qiun-charts {
		width: 690upx;
		height: 370upx;
		padding-top: 50upx;
		background-color: #FFFFFF;
		margin: auto;
	}

	.charts {
		width: 690upx;
		height: 370upx;
		background-color: #FFFFFF;
		margin: auto;
	}

	.preImg {
		position: absolute;
		left: 30upx;
		width: 71upx;
		height: 57upx;
	}

	.nextImg {
		position: absolute;
		right: 30upx;
		width: 71upx;
		height: 57upx;
	}

	.fontLeft {
		margin-right: 6upx;
	}
</style>
